%global baserelease 1

Name:           centpkg-minimal
Version:        2.1.0
Release:        2.%{baserelease}%{?dist}.1
Summary:        Used by koji to download sources for building CentOS

License:        MIT
URL:            https://git.centos.org/centos-git-common
Source0:        get_sources.sh
Source1:        centpkg

BuildArch:      noarch
BuildRequires:  curl
Requires:       util-linux
Requires:       curl
Requires:       git-core

%description
%{summary}.

%prep
%setup -Tc
cp -a %{SOURCE0} .
cp -a %{SOURCE1} .

%build


%install
install -d %{buildroot}%{_bindir}
install -pm 755 get_sources.sh %{buildroot}%{_bindir}/get_sources.sh
install -pm 755 centpkg %{buildroot}%{_bindir}/centpkg


%files
%{_bindir}/get_sources.sh
%{_bindir}/centpkg


%changelog
* Sun Mar 06 2022 Neal Gompa <ngompa@centosproject.org> - 2.1.0-2.1
- Refresh get_sources.sh from gitco#centos-git-common#PR10 for flat layout support

* Fri Mar 05 2021 Brian Stinson <bstinson@redhat.com> - 2.1.0-2
- Add a minimal centpkg binary that calls get_sources or pulls from the CentOS
  Stream lookaside based on which layout the repo presents

* Tue Jun 18 2019 Brian Stinson <brian@bstinson.com> - 2.0.0-2
- Update the git dep to git-core to pull in fewer deps

* Tue May 07 2019 Brian Stinson <brian@bstinson.com> - 2.0.0-1
- Release for GA

* Tue Apr 30 2019 Brian Stinson <brian@bstinson.com> - 1.0.0-9
- rebuilt

* Mon Apr 15 2019 Brian Stinson <brian@bstinson.com> - 1.0.0-8
- rebuilt

* Mon Apr 15 2019 Brian Stinson <brian@bstinson.com> - 1.0.0-7
- rebuilt

* Mon Apr 15 2019 Brian Stinson <brian@bstinson.com> - 1.0.0-6
- rebuilt

* Mon Apr 15 2019 brian@bstinson.com - 1.0.0-4
- Update to not require 'which'

* Mon Apr 15 2019 Brian Stinson <brian@bstinson.com> - 1.0.0-4
- rebuilt

* Mon Apr 15 2019 Brian Stinson <brian@bstinson.com> - 1.0.0-3
- Added requires

* Mon Apr 15 2019 Brian Stinson <brian@bstinson.com> - 1.0.0-2
- rebuilt

* Mon Apr 15 2019 brian@bstinson.com - 1.0.0-1
- Initial release
